# generated by cabal-rpm-0.12.1
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name ed25519
%global pkgver %{pkg_name}-%{version}

%bcond_with tests

Name:           ghc-%{pkg_name}
Version:        0.0.5.0
Release:        8%{?dist}
Summary:        Ed25519 cryptographic signatures

License:        MIT
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
%if %{with tests}
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-doctest-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hlint-devel
%endif
# End cabal-rpm deps

%description
This package provides a simple, fast, self-contained copy of the Ed25519
public-key signature system with a clean interface. It also includes support
for detached signatures, and thorough documentation on the design and
implementation, including usage guidelines.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-doc = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkgver}

# https://hackage.haskell.org/package/ed25519-0.0.5.0/revisions/
cabal-tweak-dep-ver ghc-prim '0.5' '0.6'


%build
%ghc_lib_build


%install
%ghc_lib_install


%check
%cabal_test


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license LICENSE.txt


%files devel -f %{name}-devel.files
%doc AUTHORS.txt CHANGELOG.md README.md


%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.5.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 26 2018 Jens Petersen <petersen@redhat.com> - 0.0.5.0-7
- rebuild

* Fri Oct 6 2017 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.0.5.0-6
- Bump release to be newer than existing bundled version.

* Thu Oct  5 2017 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.0.5.0-1
- spec file generated by cabal-rpm-0.11.2
